summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Alexander Verbovetsky2020-02-19 11:26:32 +0100
committer Willy Sudiarto Raharjo2020-02-19 11:26:32 +0100
commit0df71ef2bd2b628d64add49efad7a34134a650a6 (patch)
tree47d88519740a408b7902c542c15d7c4c08ea8bdd /graphics
parente969d8d01ffcb1f530cad3bf12f8f1ad591dc951 (diff)
downloadslackbuilds-0df71ef2bd2b628d64add49efad7a34134a650a6.tar.gz
graphics/aaphoto: Added (automatic color correction of photo).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/aaphoto/README13
-rw-r--r--graphics/aaphoto/aaphoto.SlackBuild89
-rw-r--r--graphics/aaphoto/aaphoto.info10
-rw-r--r--graphics/aaphoto/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/graphics/aaphoto/README b/graphics/aaphoto/README
new file mode 100644
index 0000000000..ef3743f4c3
--- /dev/null
+++ b/graphics/aaphoto/README
@@ -0,0 +1,13 @@
+Auto Adjust Photo is a tiny command-line image manipulation tool for
+automatic color correction of photos. It tries to make the picture look
+better. The program analyzes the histogram of the image and tries to set
+the most optimal black and white point of the image. Removes the veiled
+effect caused by the shifted colors, adjusts the color balance and
+saturation, and corrects the gamma factor.
+
+This can be a solution for those kind of users who are not able to
+manage and correct images with complicated graphical softwares, or just
+simply don't intend to spend a lot of time with manually correcting the
+images one-by-one.
+
+The program handles the following image formats: bmp, jpg, png.
diff --git a/graphics/aaphoto/aaphoto.SlackBuild b/graphics/aaphoto/aaphoto.SlackBuild
new file mode 100644
index 0000000000..d42d4910ae
--- /dev/null
+++ b/graphics/aaphoto/aaphoto.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for aaphoto
+
+# Copyright 2020, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=aaphoto
+VERSION=${VERSION:-0.45}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}_sources_$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYRIGHT ChangeLog NEWS README REMARKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/aaphoto/aaphoto.info b/graphics/aaphoto/aaphoto.info
new file mode 100644
index 0000000000..62abdd1b9d
--- /dev/null
+++ b/graphics/aaphoto/aaphoto.info
@@ -0,0 +1,10 @@
+PRGNAM="aaphoto"
+VERSION="0.45"
+HOMEPAGE="http://log69.com/aaphoto_en.html"
+DOWNLOAD="http://log69.com/downloads/aaphoto_sources_0.45.tar.gz"
+MD5SUM="cfbc454e803991a248827ff635e436db"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/graphics/aaphoto/slack-desc b/graphics/aaphoto/slack-desc
new file mode 100644
index 0000000000..f55976efb1
--- /dev/null
+++ b/graphics/aaphoto/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+aaphoto: aaphoto (automatic color correction of photo)
+aaphoto:
+aaphoto: Auto Adjust Photo is a tiny command-line image manipulation tool for
+aaphoto: automatic color correction of photos. It tries to make the picture
+aaphoto: look better. The program does this by analyzing the input image and
+aaphoto: then sets the most optimal contrast, gamma, color balance and
+aaphoto: saturation for it.
+aaphoto:
+aaphoto: Homepage: http://log69.com/aaphoto_en.html
+aaphoto:
+aaphoto: